JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
PushNotifications::ChannelGroup Struct Reference
juce_gui_extra » misc

Android API level 26 or higher only: represents a channel group. More...

`#include <juce_PushNotifications.h>`

## Public Attributes
String | identifier
| Required: Unique channel group identifier.
String | name
| Required: User visible name of the channel group.

## Detailed Description

Android API level 26 or higher only: represents a channel group.

This allows for visual grouping of corresponding channels in notification settings presented to the user. At least one channel group has to be specified before notifications can be sent.

## Member Data Documentation

## ◆ identifier

String PushNotifications::ChannelGroup::identifier

Required: Unique channel group identifier.

## ◆ name

String PushNotifications::ChannelGroup::name

Required: User visible name of the channel group.

The documentation for this struct was generated from the following file:

- juce_PushNotifications.h